:root {
    /* Hochschule Harz CI-Farben */
    --hshColorBlack:#000000;
    --hshColorWhite:#F2F2F2;
    --hshColorNeutralGrey: #8C8C8C;
    --hshColorDarkNeutralGrey: #202020;
    --hshColorWarmGrey:#AAAA91;
    --hshColorDarkWarmGrey:#333317;
    --hshColorRedMagenta:#F02D50;
    --hshColorLightMagenta:#F0D8DC;
    --hshColorHighlightMagenta:#F2778D;
    --hshColorBluePetrol:#195069;
    --hshColorLightPetrol:#D4F1FF;
    --hshColorFBAI:#96BEB4;
    --hshColorFBVW:#C8D27D;
    --hshColorFBWW:#F0E164;
    --hshColorSystemGreen:#00A31D;
    --hshColorLightGreen:#DBEDD6;
}

/* Markierungsfarbe von durch den Nutzer selektiertem Text */
::selection {color:black; background-color:var(--hshColorHighlightMagenta);}
::-moz-selection {color:black; background-color:var(--hshColorHighlightMagenta);}

/* Heller Modus */
[data-md-color-scheme="hsharz"] {
    /* Hauptfarben */
    --md-primary-fg-color: var(--hshColorWarmGrey);
    --md-primary-fg-color--light: var(--hshColorWarmGrey);
    --md-primary-fg-color--dark: var(--hshColorWarmGrey);
    --md-primary-bg-color: var(--hshColorBlack);
    --md-primary-bg-color--light: var(--hshColorBlack);
    /*--md-primary-bg-color--dark: var(--hshColorWhite);*/

    /* Akzentfarben */
    --md-accent-fg-color: var(--hshColorRedMagenta);
    --md-accent-fg-color--light: var(--hshColorLightMagenta);
    --md-accent-fg-color--dark: var(--hshColorRedMagenta);

    /*--md-typeset-color: var(--hshColorBlack);*/

    /* Linkfarben */
    --md-typeset-a-color: var(--hshColorRedMagenta);

    /*--md-accent-fg-color: var(--hshColorBlack);
    --md-default-fg-color: var(--hshColorBlack);
    --md-default-fg-color--light: var(--hshColorBlack);
    --md-default-fg-color--lighter: var(--hshColorBlack);
    --md-default-fg-color--lightest: var(--hshColorBlack);
    --md-default-bg-color: var(--hshColorWhite);
    --md-default-bg-color--light: var(--hshColorWhite);
    --md-default-bg-color--lighter: var(--hshColorWhite);*/
}

/* Dunkler Modus */
[data-md-color-scheme="slate"] {
    /* Hauptfarben */
    --md-primary-fg-color: var(--hshColorDarkWarmGrey);
    /*--md-primary-fg-color--light: var(--hshColorBlack);
    --md-primary-fg-color--dark: var(--hshColorBlack);*/
    --md-primary-bg-color: var(--hshColorWhite);
    --md-primary-bg-color--light: var(--hshColorWhite);

    /* Seitenhintergrund */
    --md-default-bg-color: var(--hshColorDarkNeutralGrey);

    /* Akzentfarben */
    --md-accent-fg-color: var(--hshColorRedMagenta);
    --md-accent-fg-color--light: var(--hshColorLightMagenta);
    --md-accent-fg-color--dark: var(--hshColorRedMagenta);

    /* Linkfarben */
    --md-typeset-a-color: var(--hshColorHighlightMagenta);
}

/* Standard-Darstellung von Bildern im Fliesstext */
img.hsharz-img {
    border-radius: .2rem;
    box-shadow: var(--md-shadow-z1);
    clear: right;
}

@media screen and (min-width: 45em) {
    img.hsharz-img {
        max-width: 11.7rem;
    }
}

/* Icon-Bilder zur Darstellung im Fliesstext */
img.hsharz-icon {
    max-height: 0.9em;
}

/* Listen-Elemente */
li {
    /* Bildern ausweichen */
    clear:right;
}

/* Ueberschriften */
h1, h2, h3, h4, h5, h6 {
    clear: both;
}

/* Infokaesten */
.admonition {
    clear: both;
}

/* Highlights */
.md-typeset mark {
    font-weight: bold;
    background-color: var(--hshColorLightMagenta);
    padding-left: 4px;
    padding-right: 4px;
}

/* Startlink-Kacheln */
.startlinks {
    display: flex;
    width: 100%;
    gap: 5px;
}
.startlinks > a {
    flex: 1 1 0;
}

a.hsharz-startlink {
    display: block;
    float: left;
    box-sizing: border-box;
    height: 80px;
    padding: 5px;
    font-weight: bold;
    color: var(--hshColorWhite);
    background-color: var(--hshColorRedMagenta);
    transition: background-color 125ms;
}
a.hsharz-startlink:hover, a.hsharz-startlink:active {
    background-color: var(--hshColorLightMagenta);
    color: var(--hshColorBlack);
}
a.hsharz-startlink > span {
    padding: 5px;
}

/* Manueller Clear */
.clear {
    clear: both;
}
